# class TkVirtualEvent::TkNamedVirtualEvent

### Public Class Methods

new(event, *sequences) click to toggle source

    # File lib/tk/virtevent.rb, line 26
    def self.new(event, *sequences)
      if event =~ /^<(<.*>)>$/
        event = $1
      elsif event !~ /^<.*>$/
        event = '<' + event + '>'
      end
      TkVirtualEvent::TkVirtualEventTBL.mutex.synchronize{
        if TkVirtualEvent::TkVirtualEventTBL.has_key?(event)
          TkVirtualEvent::TkVirtualEventTBL[event]
        else
          # super(event, *sequences)
          (obj = self.allocate).instance_eval{
            initialize(event, *sequences)
            TkVirtualEvent::TkVirtualEventTBL[@id] = self
          }
        end
      }
    end

new(event, *sequences) click to toggle source

    # File lib/tk/virtevent.rb, line 45
    def initialize(event, *sequences)
      @path = @id = event
      _add_sequences(sequences)
    end